Import Scanner Files
Import files from a scanner case into an existing order. Uses verified provider sessions and managed private storage, including bounded ZIP and 7z extraction. Async callers receive a durable job ID.
Import files from a scanner case into an existing order. Uses verified provider sessions and managed private storage, including bounded ZIP and 7z extraction. Async callers receive a durable job ID.
Production session cookie set for the guidelab.co domain by Better Auth
In: cookie
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/scanner-connections/550e8400-e29b-41d4-a716-446655440000/import-files" \ -H "Content-Type: application/json" \ -d '{ "sessionId": "string", "revision": "string", "fileIds": [ "string" ], "orderId": "string", "expectedPatientId": "string" }'{ "success": [ { "id": "string", "name": "string", "type": "string", "mimeType": "string", "size": 0, "url": "string", "thumbnailUrl": "string", "orderId": "string", "patientId": "string", "fileRequirementId": "string", "createdAt": "string" } ], "errors": [ { "fileId": "string", "fileName": "string", "error": "string" } ]}{ "jobId": "string", "status": "string"}Import Scanner Case POST
Import a 3Shape case as a new order. Creates the order, patient (if needed), order items from model elements, and downloads attachments to R2 storage.
Initiate Scanner O Auth POST
Initiate authorization for a scanner connection. Returns the provider-specific URL. Supports Medit, 3Shape (with PKCE), iTero, owner-only Shining 3D Dental Cloud consent, and owner-only enrollment of the privately configured Alliedstar sandbox account.